//glass
textures/dryout/gl_glass1
{
	qer_trans .30
	qer_editorimage textures/dryout/glass1.tga
	
	//surfaceparm nolightmap
	surfaceparm solid
	surfaceparm trans
	surfaceparm nomarks
	
	
	cull twosided
	{
		map textures/dryout/glass1.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}
//light
textures/dryout/lght_reflector_10k
{
	qer_editorimage textures/dryout/reflector.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB 1 1 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/reflector.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dryout/reflector.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}
textures/dryout/lght_reflector2_10k
{
	qer_editorimage textures/dryout/reflector2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	q3map_lightRGB 1 1 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/reflector2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/dryout/reflector2.blend.tga
		//blendfunc GL_ONE GL_ONE
		blendfunc filter
	}
}
textures/dryout/lght_reflector2_0k
{
	qer_editorimage textures/dryout/reflector2.blend.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/dryout/reflector2.tga
		//blendFunc GL_DST_COLOR GL_ZERO
		//rgbGen identity
	}
	{
		map textures/dryout/reflector2.blend.tga
		//blendfunc GL_ONE GL_ONE
		blendfunc filter
	}
}
textures/dryout/lght_exit_10k
{
	qer_editorimage textures/dryout/exit.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/exit.env.tga
		
		tcGen environment
		//blendfunc GL_ONE GL_ONE
		//same as
		//blendfunc add
		blendfunc filter
	}
	{
		map textures/dryout/exit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		
		
		//same as
		//blendFunc filter
		rgbGen identity
	}
	

	{
		map textures/dryout/exit.blend.tga
		
		
		//blendfunc GL_ONE GL_ONE
		//same as
		blendfunc add
		//blendfunc filter
	}

	
	
}

textures/dryout/lght_flicker01
{
	qer_editorimage textures/tremor/light_128x512.tga
	q3map_surfacelight 10000
	q3map_lightStyle 1
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/tremor/light_128x512.tga
		blendfunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
	{ 
		map textures/tremor/tremorlightblend.tga 
		rgbGen wave sawtooth 0 1 0 0.5 
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/dryout/lght_flicker02
{
	qer_editorimage textures/dryout/light_red.tga //just the lightning areas (ligt tubes with transparency)
	q3map_surfacelight 100
	q3map_lightStyle 2
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dryout/light_red.tga
		blendfunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
	{ 
		map textures/dryout/light_red.blend.tga //contains just the center glow with black background
		rgbGen wave sawtooth 0 1 0 0.5 
		blendfunc GL_ONE GL_ONE 
	} 
}
textures/dryout/lght_flicker03
{
	qer_editorimage textures/dryout/light_red2.tga //just the lightning areas (ligt tubes with transparency)
	q3map_surfacelight 5000
	q3map_lightStyle 4
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dryout/light_red2.tga
		blendfunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
	{ 
		map textures/dryout/light_red2.blend.tga //contains just the center glow with black background
		rgbGen wave sin .5 .4 0 .5
		blendfunc add
	} 
}


textures/dryout/lght_greenlight01
{
	//set _style##rgbGen on world to have the same effect as the wave func
	q3map_lightStyle 1
	

	
	qer_editorimage textures/dryout/greenlight01.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/greenlight01.tga
		blendFunc filter
		rgbGen identity
	}
    {
		map textures/dryout/greenlight01.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
		//rgbGen wave func base amplitude phase freq
	}
	{
	//shine effect
		map textures/dryout/dsp_ef03.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
	}
	
}

textures/dryout/lght_greenlight01_ns
{
    qer_editorimage textures/dryout/greenlight01.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/greenlight01.tga
		blendFunc filter
	}
	{
		map textures/dryout/greenlight01.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
		//rgbGen wave func base amplitude phase freq
	}
	{
	//shine effect
		map textures/dryout/dsp_ef03.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
	}
}
textures/dryout/lght_greenlight01_ns
{
    qer_editorimage textures/dryout/greenlight01.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/greenlight01.tga
		blendFunc filter
	}
	{
		map textures/dryout/greenlight01.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
		//rgbGen wave func base amplitude phase freq
	}
	{
	//shine effect
		map textures/dryout/dsp_ef03.tga
		blendFunc add
		rgbGen wave square .5 .5 0 .5
	}
}

textures/dryout/lght_bluelight_5k
{
	qer_editorimage textures/dryout/bluelight.tga //just the lightning areas (ligt tubes with transparency)
	q3map_surfacelight 5000
	//q3map_lightStyle 2
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/dryout/bluelight.tga
		blendfunc GL_DST_COLOR GL_ZERO 
		rgbGen identity
	}
	{ 
		map textures/dryout/bluelight.blend.tga //contains just the center glow with black background
	//	rgbGen wave sawtooth 0 1 0 0.5 
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/dryout/lght_greenrock_caverockenv
{
	//set _style##rgbGen on world to have the same effect as the wave func
	q3map_lightStyle 4
	
	qer_editorimage textures/dryout/lght_rockbase.tga
	surfaceparm nomarks
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/lght_rockbase.tga
		blendFunc filter
		rgbGen identity
	}



    {
		map textures/dryout/lght_rockbase.tga
		blendFunc add
		
		
		rgbGen wave sin .5 .4 0 .5
		//rgbGen wave func base amplitude phase freq
		//tcmod scroll .1 .01
		//tcMod turb 0 0.2 0 0.10
	}
	
	{
		map textures/dryout/cave_rock_dark.tga
		
		tcGen environment
		//blendfunc GL_ONE GL_ONE
		//same as
		//blendfunc add
		blendfunc add
	}
	{
		map textures/dryout/ef_ef05.tga
		blendfunc filter
		tcMod turb 0 1 0 0.10
	}
}

//surfaces

////////////////////////////////////////////////////////////////////////////////////////
//                                        terrain                                     //
////////////////////////////////////////////////////////////////////////////////////////
textures/dryout/rockground
{
	//q3map terrain
	//q3map_nonplanar
	//q3map_shadeangle 120
	
	
	//q3map_tcGen ivector ( 32 0 0 ) ( 0 32 0 )
	//q3map_lightmapAxis z//
	//q3map_nonplanar
	//q3map_shadeAngle 180
	//q3map_lightmapSize 512 512
	//q3map_LightmapMergable
	//q3map_indexed
    
	surfaceparm nolightmap
	
	qer_editorimage textures/dryout/dirt_outside.tga
	
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	{
		map textures\dryout\dirt_outside.tga
		//blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/redrock
{
	//q3map terrain
	//q3map_nonplanar
	//q3map_shadeangle 120
	
	
	//q3map_tcGen ivector ( 32 0 0 ) ( 0 32 0 )
	//q3map_lightmapAxis z//
	//q3map_nonplanar
	//q3map_shadeAngle 180
	//q3map_lightmapSize 512 512
	//q3map_LightmapMergable
	//q3map_indexed
    
	surfaceparm nolightmap
	
	qer_editorimage textures/dryout/redrock.tga
	
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	{
		map textures\dryout\redrock.tga
		//blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/rockground_phng_nonfunctional
{
	q3map terrain
	q3map_nonplanar
	q3map_shadeangle 120
	
	
	//q3map_tcGen ivector ( 32 0 0 ) ( 0 32 0 )
	//q3map_lightmapAxis z//
	//q3map_nonplanar
	//q3map_shadeAngle 180
	//q3map_lightmapSize 512 512
	//q3map_LightmapMergable
	//q3map_indexed
    
	surfaceparm nolightmap
	
	qer_editorimage textures/dryout/rockground.tga
	
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	{
		map textures\dryout\rockground.tga
		//blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/trr_mud_phng
{
	q3map_nonplanar
	q3map_shadeangle 120
	
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm dust
	

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/trr_mud.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures\dryout\trr_mud.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}

}

textures/dryout/rockground_phng
{
	//q3map terrain
	//either?
	//q3map_indexed
	nolightmap
	//q3map_nonplanar
	q3map_shadeangle 120
	
	
	//q3map_tcGen ivector ( 32 0 0 ) ( 0 32 0 )
	//q3map_lightmapAxis z//
	//q3map_nonplanar
	//q3map_shadeAngle 180
	q3map_lightmapSize 256 256
	
	q3map_lightmapMergable
    
	qer_editorimage textures/dryout/rockground.tga
	
	{
		map textures\dryout\rockground.tga
		//blendFunc filter
		//or
		blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/ter_rock2
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/ancient_remains/ter_rock2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ancient_remains/ter_rock2.tga
		blendFunc filter
	}
}
//vehicle

textures/dryout/thread_wheel_side
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_wheel_side.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_wheel_side.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/thread_in
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_in.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_in.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/thread_out
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_out.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_out.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}

textures/dryout/thread_side
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_side.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_side.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}
textures/dryout/thread_wheel_in
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_wheel_in.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_wheel_in.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}
textures/dryout/thread_wheel_out
{

	q3map_LightmapMergable
    
	qer_editorimage textures/dryout/vhc_thread_wheel_out.tga
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/vhc_thread_wheel_out.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
}













//water
textures/dryout/wtr_clear
{
	qer_trans .20
	qer_editorimage textures/dryout/wtr_clear.tga
	
	//q3map_surfacelight 10000
	//emitted light value of 10,000
	//deformVertexes wave sin 0 3 0 0.1
	
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	

	cull twosided
	{
		
		map textures/dryout/wtr_clear.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		
	}
}

//displays
textures/dryout/dsp_wtrtnksmain
{
	qer_editorimage textures/dryout/tanks-monitor01.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/tanks-monitor01.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	{
		
		map textures/dryout/wtr_clear.tga
		tcGen environment
		blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	}
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/dryout/dsp_wtrtnksmain2
{
	qer_editorimage textures/dryout/tanks-monitor01.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable

	
	{
		map textures/dryout/tanks-monitor01.tga
		
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	/*
	{
		
		map textures/dryout/wtr_clear.tga
		tcGen environment
		blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	}*/
	
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}

	/*{
		map textures/tremor/force_field.tga
		blendfunc add
		rgbGen wave noise 0.8 1 0 1 
		tcMod scale 1 1
	}*/

}

textures/dryout/dsp_bsod
{
	qer_editorimage textures/dryout/bsod.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/bsod.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}

textures/dryout/dsp_base-monitor01
{
	qer_editorimage textures/dryout/base-monitor01.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/base-monitor01.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/dryout/dsp_base-monitor02
{
	qer_editorimage textures/dryout/base-monitor02.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/base-monitor02.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/dryout/vhc_dsp01
{
	qer_editorimage textures/dryout/vhc_dsp01.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/vhc_dsp01.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}
	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/dryout/vhc_dsp02
{
	qer_editorimage textures/dryout/vhc_dsp02.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/vhc_dsp02.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
		tcMod scroll 0.05 0
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}
	//{
	//	map textures/dryout/dsp_ef02.tga
	//	blendfunc add
	//	//tcMod turb 0 0.2 0 0.10
	//	tcMod scroll 0 -0.5
	//}
}
textures/dryout/dsp_trem01
{
	qer_editorimage textures/dryout/tremscreenie01.tga
	
	
	q3map_surfacelight 100
	//q3map_lightRGB 1 1 1
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	
	{
		map textures/dryout/ef_black90.tga
		blendfunc filter
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
	{
		map textures/dryout/tremscreenie01.tga
		//blendFunc filter //removes white
		blendfunc add //removes black
	}
	//{
		
		//map textures/dryout/wtr_clear.tga
		//tcGen environment
		//blendfunc add//GL_ONE GL_ONE//removes black
		////blendfunc filter//
	//}

	{
		map textures/dryout/dsp_ef01.tga
		blendfunc add
		//tcMod turb 0 0.2 0 0.10
		tcMod scroll 0 -0.5
	}
}
textures/dryout/dsp_keybglow
{
	qer_editorimage textures/dryout/keyboard.tga
	
	
	q3map_surfacelight 1000
	//q3map_lightRGB 1 1 1
	{
		map $lightmap
		rgbGen identity
	}
	
	surfaceparm noimpact
	//surfaceparm nonsolid
	surfaceparm trans
	//cull disable
	
	
	//{
	//	map textures/dryout/exit.tga
	//	rgbGen identity
	//}
	{
		map textures/dryout/keyboard.tga
		blendFunc filter //removes white
		//blendfunc add //removes black
	}
	{
		
		map textures/dryout/wtr_clear.tga
		tcGen environment
		blendfunc add//GL_ONE GL_ONE//removes black
		//blendfunc filter//
	}
	//{
	//	map textures/dryout/dsp_ef01.tga
	//	blendfunc add
	//	//tcMod turb 0 0.2 0 0.10
	//	tcMod scroll 0 -0.5
	//}
}


//misc

textures/dryout/misc_lavassaD
{
	qer_trans .20
	qer_editorimage textures/common/lava.tga
	
	deformVertexes wave sin 0 3 0 0.1
	surfaceparm lava
	tessSize 64
	
	cull twosided
	{
		map textures/common/lava.tga
	}

}

textures/dryout/misc_lava
{
	qer_trans .20
	qer_editorimage textures/dryout/misc_lavafloor.tga
	
	
	surfaceparm fog
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	//surfaceparm water
	surfaceparm lightfilter
	//cull disable
	cull twosided
	//deformVertexes wave 1024 sin 0 7 0 0.4 
	//tessSize 512
	q3map_surfacelight 666
	q3map_globaltexture
	//fogParms ( r g b ) opacity
	fogparms ( 0.929412 0.447059 0.239216 ) 9120
	//{
	//	map textures/dryout/misc_lavafloor.tga
	//	tcMod turb 0 0.1 0 0.1
	//	tcMod scroll 0.01 0.02
	//}
	{
		map textures/dryout/misc_lavafloor.tga
		blendfunc add
		tcMod turb 0 0.2 0 0.10
		tcMod scroll -0.005 -0.002
	}
	{
		map textures/dryout/misc_lavafloor.tga
		blendfunc add
	}
	{
		map textures/dryout/misc_lavafloor.tga
		blendfunc add
		tcMod turb 1 -0.3 0 0.007
		tcMod scroll 0.008 -0.008
	}
}

textures/dryout/misc_lava2
{
	qer_trans .20
	qer_editorimage textures/dryout/misc_lavafloor.tga
	
	
	surfaceparm fog
	surfaceparm lava
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	//surfaceparm water
	surfaceparm lightfilter
	//cull disable
	cull twosided
	deformVertexes wave 1024 sin 0 7 0 0.4 
	tessSize 512
	q3map_surfacelight 666
	q3map_globaltexture
	//fogParms ( r g b ) opacity
	fogparms ( 0.929412 0.447059 0.239216 ) 100
}


textures/dryout/misc_slick
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	qer_nocarve
	qer_trans 0.5
}

textures/dryout/misc_hurt_lvl0
{
	qer_editorimage textures/dryout/editorimage/hurt_lvl0.tga
	qer_trans 0.5
}
textures/dryout/misc_hurt_lvl1
{
	qer_editorimage textures/dryout/editorimage/hurt_lvl1.tga
	qer_trans 0.5
}
textures/dryout/misc_hurt_lvl2
{
	qer_editorimage textures/dryout/editorimage/hurt_lvl2.tga
	qer_trans 0.5
}

textures/dryout/misc_caulk_s
{
	qer_editorimage textures/dryout/editorimage/caulk.tga
	qer_trans 0.5

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	
}
textures/dryout/misc_nodraw
{
	qer_editorimage textures/dryout/editorimage/nodraw.tga
	qer_trans 0.5

	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	
}

textures/dryout/misc_clip
{
	qer_editorimage textures/dryout/editorimage/clip.tga
	
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	qer_trans 0.5
}


// ydnar: antiportal works like hint, but supresses portals
// add this to your common.shader file
textures/dryout/misc_antiportal
{
	qer_editorimage textures/dryout/editorimage/antiportal.tga
	qer_trans 0.5
	qer_nocarve
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

textures/dryout/misc_areaportal
{
	qer_editorimage textures/dryout/editorimage/areaportal.tga
	qer_trans 0.5
	qer_nocarve
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm antiportal
}

// ydnar: skip works like quake 2 hint: it doesn't generate bsp splits
// use on sides of hint brushes where you don't want bsp splits or portals
// add this to your common.shader file
textures/dryout/misc_skip
{
	qer_editorimage textures/dryout/editorimage/skip.tga
	qer_trans 0.5
	qer_nocarve
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/dryout/misc_hint
{
	qer_editorimage textures/dryout/editorimage/hint.tga
	qer_trans 0.5
	qer_nocarve
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/dryout/misc_ladder
{
	qer_editorimage textures/dryout/editorimage/ladder.tga
	surfaceparm nodraw
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.5
}


textures/dryout/misc_station05-B
{
	qer_editorimage textures/dryout/station05-B.tga
	
	//surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/dryout/station05-B.tga
		blendFunc filter
	}
}
textures/dryout/misc_station05-B_logos
{
	qer_editorimage textures/dryout/Station05-B_logos.tga
	
	//surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	polygonoffset
	{
		map textures/dryout/Station05-B_logos.tga
		blendFunc filter
	}
}

textures/dryout/mtl_metal01_ns
{
    qer_editorimage textures/dryout/metal01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/metal01.tga
		blendFunc filter
	}
}

textures/dryout/mtl_metal01_slick
{
    qer_editorimage textures/dryout/metal01.tga
	surfaceparm nomarks
	surfaceparm slick
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/metal01.tga
		blendFunc filter
	}
}

textures/dryout/brushed_metal01
{
    qer_editorimage textures/dryout/brushed_metal.tga
	//surfaceparm nonsolid
	q3map_shadeangle 120
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/dryout/brushed_metal.tga
		blendFunc filter
	}
}


textures/dryout/ele_door_out_lighted
{
	//blendFunc filter removes white, add removes black
	qer_editorimage textures/dryout/ele_door.tga
	surfaceparm nolightmap
	
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/dryout/ele_door.tga
		//blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
	{
		map textures/dryout/ele_door_outlighteffect.tga
		blendFunc filter
		//or
		//blendfunc GL_ONE GL_ONE
	}
	
}

textures/dryout/ele_door_in_lighted
{
 
	qer_editorimage textures/dryout/ele_door.tga
	surfaceparm nolightmap
	
	//{
	//	map $lightmap
	//	rgbGen identity
	//}
	{
		map textures/dryout/ele_door.tga
	}
	{
		map textures/dryout/ele_door_inlighteffect.tga
		blendFunc filter
	}
}

textures/dryout/misc_redsky
{
	qer_editorimage textures/dryout/editorimage/skybox_red.tga
	qer_trans 0.5
	
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	//q3map_sun 3 2 2 70 315 65
	//red green blue intensity degrees elevation
	//q3map_lightSubdivide 256
	
	q3map_surfacelight 0
	//skyParms farbox cloudheight nearbox
	skyparms - 256 -

	{
		map textures/dryout/billsky_1.jpg
		tcMod scroll 0.00005 .0001
		tcMod scale 2 2
	}
	{
		map textures/dryout/billsky_2.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.005 0.006
		tcMod scale 3 2
	}
}



